From 15858b64b635f446b3a5567b83dd7d3cba8a8523 Mon Sep 17 00:00:00 2001
From: Karam Singh <karam.singh@multicorewareinc.com>
Date: Thu, 4 May 2023 16:22:03 +0530
Subject: [PATCH] Fix-2 Extra IDR issue in zonefile for live case

---
 source/encoder/slicetype.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/source/encoder/slicetype.cpp b/source/encoder/slicetype.cpp
index 2cfb39620..509ebd9d6 100644
--- a/source/encoder/slicetype.cpp
+++ b/source/encoder/slicetype.cpp
@@ -1958,7 +1958,7 @@ void Lookahead::slicetypeAnalyse(Lowres **frames, bool bKeyframe)
             nextZoneStart += (i + 1 < m_param->rc.zonefileCount) ? m_param->rc.zones[i + 1].startFrame + m_param->rc.zones[i + 1].zoneParam->radl : m_param->totalFrames;
             if (curZoneStart <= frames[0]->frameNum && nextZoneStart > frames[0]->frameNum)
                 m_param->keyframeMax = nextZoneStart - curZoneStart;
-            if ((i + 1 == m_param->rc.zonefileCount) && nextZoneStart == 0)
+            if (m_param->rc.zones[m_param->rc.zonefileCount - 1].startFrame <= frames[0]->frameNum && nextZoneStart == 0)
                 m_param->keyframeMax = m_param->rc.zones[0].keyframeMax;
         }
     }
-- 
2.36.0.windows.1

